#include "util_malloc.h"

PDBL* allocate_matrix(int length, int width) {
    PDBL* matrix = new PDBL[length];
    for (int i = 0; i < length; i++) {
        matrix[i] = new double[width];
    }
    return matrix;
}

void delete_matrix(PDBL* matrix, int length) {
    for (int i = 0; i < length; i++) {
        delete [] matrix[i];
        matrix[i] = NULL;
    }
    delete [] matrix;
}

void delete_matrix(PCHR* matrix, int length) {
    for (int i = 0; i < length; i++) {
        delete [] matrix[i];
        matrix[i] = NULL;
    }
    delete [] matrix;
}
